Gmagick::normalizeimage
Gmagick::previousimage
Gmagick
PHP Manual

# Gmagick::oilpaintimage

(PECL gmagick >= Unknown)

Gmagick::oilpaintimage — Simulates an oil painting

### Description

public void Gmagick::oilpaintimage ( void )

Applies a special effect filter that simulates an oil painting. Each pixel is replaced by the most frequent color occurring in a circular region defined by radius.

### Parameters

This function has no parameters.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::normalizeimage
Gmagick::previousimage
Gmagick
PHP Manual